Skip to main content
PUT
/
api
/
v1
/
lookups
/
bank-bins
/
{id}
Lookup kaydını güncelle
curl --request PUT \
  --url https://identity-sandbox.payven.com.tr/api/v1/lookups/bank-bins/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json; ver=1.0' \
  --data '
{
  "bank_code": "<string>",
  "bin_start": "<string>",
  "bin_end": "<string>",
  "card_length": 123,
  "is_active": true
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "bank_code": "<string>",
  "bank_name": "<string>",
  "bin_start": "<string>",
  "bin_end": "<string>",
  "card_length": 123,
  "is_active": true
}

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Path Parameters

id
string<uuid>
required

Body

bank_code
string | null
bin_start
string | null
bin_end
string | null
schema_type
enum<string>
Available options:
visa,
master_card,
troy,
american_express,
union_pay,
proprietary_domestic,
unknown
card_type
enum<string>
Available options:
credit,
debit,
prepaid,
unknown
card_length
integer<int32>
is_active
boolean

Response

OK

id
string<uuid>
bank_code
string | null
bank_name
string | null
bin_start
string | null
bin_end
string | null
schema_type
enum<string>
Available options:
visa,
master_card,
troy,
american_express,
union_pay,
proprietary_domestic,
unknown
card_type
enum<string>
Available options:
credit,
debit,
prepaid,
unknown
card_length
integer<int32>
is_active
boolean